/*
*  RemoteLogger utility
*  
*  source/common.c
*  snapshot 20040203
*  
*  (c) 2.2.2004 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#include <stdio.h>
#include <ctype.h>
#ifdef __linux__
#include <unistd.h>
#else
#include <io.h>
#endif


int is_num(const char *s)
{
        if (s == NULL)
                return -1;

        while (*s != '\0'){
                if (!isdigit(*s))
                        return 0;
                s++;
        }

        return 1;
}


int my_touch(char *filename)
{
        FILE *f;


        if (filename == NULL)
                return -1;

        if (access(filename, F_OK) != 0){

                if ((f = fopen(filename, "w")) == NULL)
                        return -1;

                fclose(f);
        }

        return 0;
}


#ifdef __linux__
void deamonize(void)
{
        if (fork())
                exit(0);

        return;
}
#endif
