/*
*  RemoteLogger utility
*  
*  source/netlib.h
*  snapshot 20040203
*  
*  (c) 2.2.2004 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#ifdef __linux__
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <unistd.h>
#else
#include <windows.h>
#include <winsock2.h>
#endif


#ifdef __linux__
typedef int MYSOCK;
#else
typedef SOCKET MYSOCK;
#endif


extern int init_netlib(void);
extern void close_netlib(void);
extern int tcp_readline(MYSOCK fd, char *ptr, int maxlen);
#ifdef __linux__
extern int closesocket(MYSOCK fd);
#endif
